Method: projects.locations.agents.testCases.import

Imports the test cases from a Cloud Storage bucket or a local file. It always creates new test cases and won't overwrite any existing ones. The provided ID in the imported test case is neglected.

This method is a long-running operation. The returned Operation type has the following method-specific fields:

HTTP request

POST https://{endpoint}/v3beta1/{parent=projects/*/locations/*/agents/*}/testCases:import

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The agent to import test cases to. Format: projects/<ProjectID>/locations/<LocationID>/agents/<AgentID>.

Authorization requires the following IAM permission on the specified resource parent:

  • dialogflow.testcases.import

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "gcsUri": string,
  "content": string
  // End of mutually exclusive fields.
}
Fields
Required. The source to import. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
gcsUri

string

The Google Cloud Storage URI to import test cases from. The format of this URI must be gs://<bucket-name>/<object-name>.

Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see Dialogflow access control.

content

string (bytes format)

Uncompressed raw byte content for test cases.

A base64-encoded string.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dialogflow

For more information, see the Authentication Overview.